/*
====================================================================================================

    Copyright (C) 2025 Pyvtron VX Shaders - Pyvtron

    All Rights Reserved unless otherwise explicitly stated.

    Before You Do Something With Pyvtron VX Shaders, You MUST Read This:

    You Must Read The License: https://pyvtron.pages.dev/minecraft-shaders/pyvtron-shaders-license
    And Read The Agreement: https://pyvtron.pages.dev/minecraft-shaders/pyvtron-shaders-agreement

====================================================================================================
*/


    	if (mc_Entity.x == 18 || mc_Entity.x == 7002)
    	{
    		materialIDs = max(materialIDs, 3.0f);
    		noWetItem = 0.125f;
    	}

    	if (mc_Entity.x == 50 || mc_Entity.x == 7010) {
    		materialIDs = max(materialIDs, 25.0f);
    	}

    	if (mc_Entity.x == 10) {
    		materialIDs = max(materialIDs, 26.0f);
    		noWetItem = 1.0f;
    	}

    	if (mc_Entity.x == 89 || mc_Entity.x == 7011) {
    		materialIDs = max(materialIDs, 27.0f);
    	}

    	if (mc_Entity.x == 51) {
    		materialIDs = max(materialIDs, 28.0f);
    		noWetItem = 1.0f;
    	}

    	if (mc_Entity.x == 76 || mc_Entity.x == 7012) {
    		materialIDs = max(materialIDs, 29.0f);
    	}

    	if (mc_Entity.x == 55) {
    		materialIDs = max(materialIDs, 30.0f);
    	}

    	if (mc_Entity.x == 7100) {
    		materialIDs = max(materialIDs, 31.0f);
    	}

        if (mc_Entity.x == 7101) {
            materialIDs = max(materialIDs, 32.0f);
        }

    	if (mc_Entity.x == 88 || mc_Entity.x == 7011) {
    		materialIDs = max(materialIDs, 33.0f);
    	}

		#ifdef GLOWING_LAPIS_BLOCK
    	if (mc_Entity.x == 85 || mc_Entity.x == 7011) {
    		materialIDs = max(materialIDs, 34.0f);
    	}
		#endif

		#ifdef GLOWING_EMERALD_BLOCK
    	if (mc_Entity.x == 86 || mc_Entity.x == 7011) {
    		materialIDs = max(materialIDs, 35.0f);
    	}		
	    #endif

		#ifdef GLOWING_DIAMOND_BLOCK
    	if (mc_Entity.x == 87 || mc_Entity.x == 7011) {
    		materialIDs = max(materialIDs, 36.0f);
    	}
		#endif

		if (mc_Entity.x == 84 || mc_Entity.x == 7012) {
    		materialIDs = max(materialIDs, 37.0f);
    	}